@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    font-family: Arial, sans-serif;
    line-height: 1.8;
    font-weight: 400;
    color: #666;
    -webkit-overflow-scrolling: touch;
    margin: 0 auto;
    letter-spacing: 0.3px;
    background: fixed -webkit-gradient(linear, left top, right bottom, from(#2E3192), to(#1BFFFF));
    background: fixed -o-linear-gradient(left top, #2E3192, #1BFFFF);
    background: fixed linear-gradient(to right bottom, #2E3192, #1BFFFF);
}

.wrapper {
    background: #fff;
    padding: 30px;
    border-radius: 10px;
}

.wrapper.main-page {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.header {
    color: #fff;
    padding: 30px 0 0;
}

.header .logo a {
    display: block;
    font-size: 28px;
    line-height: 40px;
    color: #fff;
}

footer {
    color: #fff;
}

.logo span {
    font-family: "Kanit", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.section.counter {
    padding-top: 50px;
    padding-bottom: 50px;
    color: #fff;
}

.main-page-title {
    font-family: "Kanit", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.filters .container {
    padding: 30px;
    background: #ff3152;
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
}

.form-control::placeholder {
    color: #fff;
    opacity: 1;
}

.form-control:-ms-input-placeholder {
    color: #fff;
}

.form-control::-ms-input-placeholder {
    color: #fff;
}

input[type=text] {
    display: inline-block;
    background: #f2f2f2;
    border: 2px solid #f2f2f2;
    color: #494949;
    font: 15px "Roboto", "Helvetica", "Arial", sans-serif;
    letter-spacing: .3px;
    padding: 12px 30px;
    height: 45px;
    width: 70%;
    /* margin-bottom: 15px; */
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-bottom-left-radius: 25px;
    border-top-left-radius: 25px;
    outline: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-transition: all 300ms ease;
    -o-transition: all 300ms ease;
    transition: all 300ms ease;
    margin-right: -3px;
}

input#search {
    background: rgba(0, 0, 0, .15);
    border: 0;
    color: #fff;
}

input#submit {
    background: rgba(0, 0, 0, .15);
    border: 0;
    color: #fff;
    border-bottom-right-radius: 25px;
    border-top-right-radius: 25px;
}

input#submit:hover {
    background: rgba(0, 0, 0, .35);
}

form button {
    display: inline-block;
    background: #f2f2f2;
    border: 2px solid #f2f2f2;
    color: #494949;
    font: 15px "Roboto", "Helvetica", "Arial", sans-serif;
    letter-spacing: .3px;
    padding: 11px 0 30px;
    height: 45px;
    width: 14%;
    /* margin-bottom: 15px; */
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-bottom-right-radius: 25px;
    border-top-right-radius: 25px;
}

form button:hover {
    box-shadow: 3px 3px #ac0a24;
    -webkit-transition: all 300ms 
ease;
    -o-transition: all 300ms ease;
    transition: all 300ms 
ease;
}

a {
    text-decoration: none;
}

a.nav-link {
    color: #343a40;                /* Белый цвет текста */
    background-color: #fff;   /* Темно-серый фон (пример, можно изменить) */
    border-radius: 25px;          /* Скругление углов */
    text-align: center;          /* Выравнивание текста по центру */
    display: block;             /* Чтобы занимала всю ширину контейнера и можно было задать padding */
    padding: 10px 0;             /* Добавляем отступы сверху и снизу, по бокам можно убрать */
    text-decoration: none;       /* Убираем подчеркивание ссылки */
}

/* Добавляем стиль при наведении (опционально) */
a.nav-link:hover {
    background-color: #fddfdf;      /* Немного светлее при наведении */
    color: rgb(65, 65, 65);            /* Меняем цвет текста при наведении */
}

.places-list .event-place-small {
    line-height: normal;
}

.place-event-img {
    height: 115px;
    object-fit: cover;
    object-position: center;
    width: 100%;
}

.event-dates {
    font-family: 'Georgia', serif;
    font-size: 1.6rem;
    font-weight: 700;
    color: #444;
    line-height: 1.2;
    margin-bottom: 0.6em;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
}

.similar-events {
    font-size: 1.8rem;
    padding: 50px 0 15px 0;
}

.price-min {
    font-size: 0.9em;
    margin-top: -15px;
    color: #444;
}

.price-min-bottom {
    font-size: 0.9em;    
    color: #444;
}

.btn.btn-primary {
    background: #ff0032;
    font-size: 1rem;
    padding: 10px 40px 10px;
    border: 2px solid transparent;
    line-height: 1.5;
    font-weight: 400;
    border-radius: .25rem;
    text-transform: uppercase;
    white-space: nowrap;
    outline: none;
    cursor: pointer;
    font-family: Arial, sans-serif;
    font-weight: bold;
    border: 1px solid transparent;
}

.artist-image {
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 50%;
}

.pagination {
    margin-top: 20px;
}

.main-page .artist-img {
    min-width: 100%;
}

.artist-img {
    border-radius: 15px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.4);
    transition: filter 0.3s ease;
    margin-bottom: 20px;
    max-width: 100%;
    height: 180px;
    object-fit: cover;
    object-position: center;
}

.artist-img:hover {
    filter: brightness(0.8);       /* Небольшое затемнение при наведении */
}

.places-list .artist-img {
    height: 100px;
}

img.event-date-img {
    max-width: 100%;
    object-fit: cover;
    object-position: center;
    height: 100px;
}

.card-date,
.text-end {
    display: grid;
    place-items: center;
    height: 100px;
}

.card-date h5 {
    font-size: 1.4em;
    font-weight: bold;
}

.card-place h4 {
    font-size: 1.4em;
}

.artist-title {
    font-family: 'Georgia', serif;
    font-size: 1.6rem;
    font-weight: 700;
    color: #444;
    line-height: 1.2;
    margin-bottom: 0.6em;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
}

.artist-title:hover {
    color: #ec2f4e;
    transition: 0.5s all;
}

.event-place-title a {
    color: #1e234a;
}

.event-place-title a:hover {
    color: #2a5aa7;
    transition: 0.5s all;
}

.event-place-small a {
    font-family: 'Georgia', serif;
    font-size: 1.0rem;
    font-weight: 700;
    color: #2962ac;
    line-height: 1.0;
}

.event-place-small a:hover {
    color: #239ecb;
    transition: 0.5s all;
}

.page-title {
    font-family: 'Georgia', serif;
    font-size: 2.0rem;
    font-weight: 700;
    color: #444;
    line-height: 1.2;
    margin-bottom: 0.6em;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
    padding: 15px 0;
}

.afisha-title {
    font-family: 'Georgia', serif;
    font-size: 1.8rem;
    font-weight: 700;
    color: #444;
    line-height: 1.2;
    margin-bottom: 0.6em;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
    padding: 15px 0;
}

.event-image-container {
    position: relative; /* Создаем контекст для позиционирования */
  }
  
.content-rating {
    position: absolute; /* Абсолютное позиционирование внутри контейнера */
    top: 0.2rem;       /* Отступ сверху */
    left: 1rem;      /* Отступ слева */
    background-color: rgba(0, 0, 0, 0.5); /* Полупрозрачный черный фон */
    color: white;       /* Белый текст */
    padding: 0.2rem 0.4rem; /* Отступы внутри */
    border-radius: 0.25rem;  /* Скругление углов */
    font-size: 0.8rem;     /* Размер шрифта */
    z-index: 10;         /* Помещаем над изображением */
}

.event-tag {
    position: absolute;
    top: 9.2rem;
    left: 1rem;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 0.2rem 0.4rem;
    border-radius: 0.25rem;
    font-size: 0.8rem;
    z-index: 10;
}

.artist-description {
    position: relative;
}

.artist-description-truncated {
    overflow: hidden;
    position: relative;
}

.artist-description-fade {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5.5rem;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    margin-bottom: -2.5rem;
}

.artist-description-read-more {
    z-index: 10;
    background: rgba(100, 100, 100, 0.1);
    border: none;
    padding: 5px 30px;
    border-radius: 2px;
}

.all-cities .city {
    padding: 3px 0;
}

.policy {
    padding: 30px;
    /* color: #fff; */
}

.privacy_policy {
    margin-bottom: 0;
    margin-top: -1rem;
}

.page-item:first-child .page-link {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    padding: 0 15px;
    border: 0;
}

.page-item:last-child .page-link {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    padding: 0 15px;
    border: 0;
}


l.flashes {
    list-style: none; /* Убираем маркеры списка */
    padding: 0;
    margin: 0;
}

ul.flashes li {
    padding: 10px;
    margin-bottom: 5px;
    border-radius: 5px;
}

ul.flashes li.success {
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
    color: #155724;
}

ul.flashes li.error {
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    color: #721c24;
}

ul.flashes li.warning {
    background-color: #fff3cd;
    border: 1px solid #ffeeba;
    color: #856404;
}


@media (max-width: 768px) {
    a.nav-link {
        margin-bottom: 15px;
    }

    .logo {
        text-align: center;
    }

    .artist-title {
        padding: 15px 0;
    }

    .card-place {
        text-align: center;
        padding-top: 15px;
    }

    .similar-event-place {
        padding-bottom: 20px;
    }

    .event-top h4 {
        padding: 30px 0;
    }

    input[type=text] {
        width: 85%;
    }

    .search-form {
        margin-bottom: 30px;
    }

    .search-reset {
        text-align: center;
        padding-top: 15px;
    }

    .search-reset a {
        color: #ccc;
    }
}